#ifndef _LOCAL_CONFIG_DOSRUN_H
#define _LOCAL_CONFIG_DOSRUN_H

/* DOSRUN version string */
#define DOSRUN_VERSION "0.50.0-pre1"

/* Some XMS settings, only valid if CONFIG_XMS is defined */
#define CONFIG_XMS           /* XMS implementation */
#define XMS_SIZE 256         /* in Ks by default */
#define XMS_HANDLES 64       /* max number of XMS handles by default */
#define HMA_MIN 16348        /* minimum HMA request size for successfull HMA allocation */

/* Mode for newly created files by DOSRUN */
#define CONFIG_CREATED_FILE_MOD 0660


/* maximum fragment size of memory. must be multiple of 16, and must be
greater than or equal to 32 */
#define MCB_MAX_FRAGMENT 64

/* DOSRUN config files */
#define CONFIG_FILE_SYSTEM "/etc/dosrun.conf"
#define CONFIG_FILE_USER "/.dosrunrc"      /* string, without user home directory, but the trailing '/' is requied ! */

/* emulated memory for DOSRUN below 640K 
   (you can't save memory with reducing it, only DOSRUN reports less ram for application) */
#define CONFIG_DOSMEM_SIZE 640
#define CONFIG_DOSMEM_START 0x1000 /* begining of allocatable memory by DOS memory functions */

/* Full screen support : translating direct video ram accesses into ncurses calls */
#define CONFIG_FULL_SCREEN
#define CONFIG_AUTO_FULL_SCREEN  /* support for automatically switching to full screen mode on video ram writes. only valid if CONFIG_FULL_SCREEN is defined. */

/* emulated DOS version number by default */
#define DOS_VER_MAJOR 6
#define DOS_VER_MINOR 22

/* Maximum length of path names used in DOSRUN */
#define DOS_PATH_MAXSIZE 256

/* Maximum length of a DOS filename. Be carefull, some DOS softwares does not handle
   more than 8+3+1=12 (1 for '.') */
#define CONFIG_MAX_DOS_FN_SIZE 12
/* disallow non DOS filenames (more then one '.' in filename except of '..') */
#define CONFIG_DISALLOW_POINT_IN_FN

/* maximum number of DOS drives */
#define CONFIG_MAX_DRIVES 10 

/* CPU type passed to vm86plus() */
#define CONFIG_CPU_TYPE CPU_386

/* enable emulate *SOME* VGA ports */
#define CONFIG_VGA

/* switchable emulation of certain interrupts */
#define CONFIG_INT10         /* _SOME_ INT 10 implementation */
#define CONFIG_INT15         /* _SOME_ INT 15 implementation */
#define CONFIG_INT16         /* _SOME_ INT 16 implementation */
#define CONFIG_INT2F         /* general INT 2F implementation */
#define CONFIG_INT1A         /* hwclock function emulation */
#define CONFIG_COMMAND       /* emulate command.com interface through int 2E */
#define CONFIG_INT2F_OTHER   /* _SOME_ INT 2F implementation */
#define CONFIG_INT33         /* emulate some int 33 things, aka mouse functions */


/* warnings on different reasons */
#define CONFIG_DEBUG_UNIMPLEMENTED_FUNC  /* warning on unimplemented functions */
#define CONFIG_DEBUG_UNIMPLEMENTED_INT   /* warning on unimplemented interrupts */
#define CONFIG_DEBUG_UNIMPLEMENTED_INST  /* warning on unimplemented I/O instruction opcode */
#define CONFIG_DEBUG_UNIMPLEMENTED_PORT  /* warning on unimplemented port */

        /* ---------------- !! DO NOT EDIT BELOW !! --------------- */

#define EMU_INT_SEG 0xF000
#define EMU_INT_OFS 0
#define XMS_PROC_SEG 0xF000
#define XMS_PROC_OFS 0x101
#define INT21_38_CAPITALPROC_SEG 0xF000
#define INT21_38_CAPITALPROC_OFS 0x104
#ifdef CONFIG_XMS
#ifndef CONFIG_INT2F
#define CONFIG_INT2F
#warning You set CONFIG_XMS without CONFIG_INT2F. CONFIG_INT2F is enabled so.
#endif
#endif



#endif  /* end of header file */
